package com.izforge.izpack.panels;

import com.izforge.izpack.installer.InstallerFrame;
import com.izforge.izpack.installer.InstallData;

/**
 * @author dmitry.antonov
 */
public class QueWebHelloPanel extends HelloPanel {

    public QueWebHelloPanel(InstallerFrame parent, InstallData idata) {
        super(parent, idata);
        checkOS();
    }

    private void checkOS() {
        if (System.getProperty("os.name").toUpperCase().contains("VISTA")) {
            emitNotification("Attention! On Windows Vista you must start Installer " +
                    "using 'Run as Administrator' context menu option!");
        }
    }

}
